org.keycloak.representations.idm

## Class RealmRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.RealmRepresentation

-     public class RealmRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Integer` | `accessCodeLifespan`
    `protected Integer` | `accessCodeLifespanLogin`
    `protected Integer` | `accessCodeLifespanUserAction`
    `protected Integer` | `accessTokenLifespan`
    `protected Integer` | `accessTokenLifespanForImplicitFlow`
    `protected String` | `accountTheme`
    `protected Integer` | `actionTokenGeneratedByAdminLifespan`
    `protected Integer` | `actionTokenGeneratedByUserLifespan`
    `protected Boolean` | `adminEventsDetailsEnabled`
    `protected Boolean` | `adminEventsEnabled`
    `protected String` | `adminTheme`
    `protected List<ApplicationRepresentation>` | `applications` Deprecated.
    `protected Map<String,List<ScopeMappingRepresentation>>` | `applicationScopeMappings` Deprecated.
    `protected Map<String,String>` | `attributes`
    `protected List<AuthenticationFlowRepresentation>` | `authenticationFlows`
    `protected List<AuthenticatorConfigRepresentation>` | `authenticatorConfig`
    `protected String` | `browserFlow`
    `protected Map<String,String>` | `browserSecurityHeaders`
    `protected Boolean` | `bruteForceProtected`
    `protected String` | `certificate` Deprecated.
    `protected String` | `clientAuthenticationFlow`
    `protected Integer` | `clientOfflineSessionIdleTimeout`
    `protected Integer` | `clientOfflineSessionMaxLifespan`
    `protected com.fasterxml.jackson.databind.JsonNode` | `clientPolicies`
    `protected com.fasterxml.jackson.databind.JsonNode` | `clientProfiles`
    `protected List<ClientRepresentation>` | `clients`
    `protected Map<String,List<ScopeMappingRepresentation>>` | `clientScopeMappings`
    `protected List<ClientScopeRepresentation>` | `clientScopes`
    `protected Integer` | `clientSessionIdleTimeout`
    `protected Integer` | `clientSessionMaxLifespan`
    `protected List<ClientTemplateRepresentation>` | `clientTemplates` Deprecated.
    `protected String` | `codeSecret` Deprecated.
    `protected List<String>` | `defaultDefaultClientScopes`
    `protected List<String>` | `defaultGroups`
    `protected String` | `defaultLocale`
    `protected List<String>` | `defaultOptionalClientScopes`
    `protected RoleRepresentation` | `defaultRole`
    `protected List<String>` | `defaultRoles` Deprecated.
    `protected String` | `defaultSignatureAlgorithm`
    `protected String` | `directGrantFlow`
    `protected String` | `displayName`
    `protected String` | `displayNameHtml`
    `protected String` | `dockerAuthenticationFlow`
    `protected Boolean` | `duplicateEmailsAllowed`
    `protected Boolean` | `editUsernameAllowed`
    `protected String` | `emailTheme`
    `protected Boolean` | `enabled`
    `protected List<String>` | `enabledEventTypes`
    `protected Boolean` | `eventsEnabled`
    `protected Long` | `eventsExpiration`
    `protected List<String>` | `eventsListeners`
    `protected Integer` | `failureFactor`
    `protected List<UserRepresentation>` | `federatedUsers`
    `protected List<GroupRepresentation>` | `groups`
    `protected String` | `id`
    `protected Boolean` | `internationalizationEnabled`
    `protected String` | `keycloakVersion`
    `protected String` | `loginTheme`
    `protected Boolean` | `loginWithEmailAllowed`
    `protected Integer` | `maxDeltaTimeSeconds`
    `protected Integer` | `maxFailureWaitSeconds`
    `protected Integer` | `minimumQuickLoginWaitSeconds`
    `protected Integer` | `notBefore`
    `protected Integer` | `oauth2DeviceCodeLifespan`
    `protected Integer` | `oauth2DevicePollingInterval`
    `protected List<OAuthClientRepresentation>` | `oauthClients` Deprecated.
    `protected Integer` | `offlineSessionIdleTimeout`
    `protected Integer` | `offlineSessionMaxLifespan`
    `protected Boolean` | `offlineSessionMaxLifespanEnabled`
    `protected String` | `otpPolicyAlgorithm`
    `protected Integer` | `otpPolicyDigits`
    `protected Integer` | `otpPolicyInitialCounter`
    `protected Integer` | `otpPolicyLookAheadWindow`
    `protected Integer` | `otpPolicyPeriod`
    `protected String` | `otpPolicyType`
    `protected List<String>` | `otpSupportedApplications`
    `protected Boolean` | `passwordCredentialGrantAllowed` Deprecated.
    `protected String` | `passwordPolicy`
    `protected Boolean` | `permanentLockout`
    `protected String` | `privateKey` Deprecated.
    `protected String` | `publicKey` Deprecated.
    `protected Long` | `quickLoginCheckMilliSeconds`
    `protected String` | `realm`
    `protected Boolean` | `realmCacheEnabled` Deprecated.
    `protected Integer` | `refreshTokenMaxReuse`
    `protected Boolean` | `registrationAllowed`
    `protected Boolean` | `registrationEmailAsUsername`
    `protected String` | `registrationFlow`
    `protected Boolean` | `rememberMe`
    `protected List<RequiredActionProviderRepresentation>` | `requiredActions`
    `protected Set<String>` | `requiredCredentials` Deprecated.
    `protected String` | `resetCredentialsFlow`
    `protected Boolean` | `resetPasswordAllowed`
    `protected Boolean` | `revokeRefreshToken`
    `protected RolesRepresentation` | `roles`
    `protected List<ScopeMappingRepresentation>` | `scopeMappings`
    `protected Map<String,String>` | `smtpServer`
    `protected Boolean` | `social` Deprecated.
    `protected Map<String,String>` | `socialProviders` Deprecated.
    `protected String` | `sslRequired`
    `protected Integer` | `ssoSessionIdleTimeout`
    `protected Integer` | `ssoSessionIdleTimeoutRememberMe`
    `protected Integer` | `ssoSessionMaxLifespan`
    `protected Integer` | `ssoSessionMaxLifespanRememberMe`
    `protected Set<String>` | `supportedLocales`
    `protected Boolean` | `updateProfileOnInitialSocialLogin` Deprecated.
    `protected Boolean` | `userCacheEnabled` Deprecated.
    `protected List<UserFederationMapperRepresentation>` | `userFederationMappers`
    `protected List<UserFederationProviderRepresentation>` | `userFederationProviders`
    `protected Boolean` | `userManagedAccessAllowed`
    `protected List<UserRepresentation>` | `users`
    `protected Boolean` | `verifyEmail`
    `protected Integer` | `waitIncrementSeconds`
    `protected List<String>` | `webAuthnPolicyAcceptableAaguids`
    `protected String` | `webAuthnPolicyAttestationConveyancePreference`
    `protected String` | `webAuthnPolicyAuthenticatorAttachment`
    `protected Boolean` | `webAuthnPolicyAvoidSameAuthenticatorRegister`
    `protected Integer` | `webAuthnPolicyCreateTimeout`
    `protected List<String>` | `webAuthnPolicyPasswordlessAcceptableAaguids`
    `protected String` | `webAuthnPolicyPasswordlessAttestationConveyancePreference`
    `protected String` | `webAuthnPolicyPasswordlessAuthenticatorAttachment`
    `protected Boolean` | `webAuthnPolicyPasswordlessAvoidSameAuthenticatorRegister`
    `protected Integer` | `webAuthnPolicyPasswordlessCreateTimeout`
    `protected String` | `webAuthnPolicyPasswordlessRequireResidentKey`
    `protected String` | `webAuthnPolicyPasswordlessRpEntityName`
    `protected String` | `webAuthnPolicyPasswordlessRpId`
    `protected List<String>` | `webAuthnPolicyPasswordlessSignatureAlgorithms`
    `protected String` | `webAuthnPolicyPasswordlessUserVerificationRequirement`
    `protected String` | `webAuthnPolicyRequireResidentKey`
    `protected String` | `webAuthnPolicyRpEntityName`
    `protected String` | `webAuthnPolicyRpId`
    `protected List<String>` | `webAuthnPolicySignatureAlgorithms`
    `protected String` | `webAuthnPolicyUserVerificationRequirement`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealmRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addIdentityProvider(IdentityProviderRepresentation identityProviderRepresentation)`
    `void` | `addIdentityProviderMapper(IdentityProviderMapperRepresentation rep)`
    `void` | `addProtocolMapper(ProtocolMapperRepresentation rep)`
    `void` | `addSupportedLocales(String locale)`
    `void` | `addUserFederationMapper(UserFederationMapperRepresentation userFederationMapper)`
    `ScopeMappingRepresentation` | `clientScopeMapping(String clientName)`
    `ScopeMappingRepresentation` | `clientScopeScopeMapping(String clientScopeName)`
    `Integer` | `getAccessCodeLifespan()`
    `Integer` | `getAccessCodeLifespanLogin()`
    `Integer` | `getAccessCodeLifespanUserAction()`
    `Integer` | `getAccessTokenLifespan()`
    `Integer` | `getAccessTokenLifespanForImplicitFlow()`
    `String` | `getAccountTheme()`
    `Integer` | `getActionTokenGeneratedByAdminLifespan()`
    `Integer` | `getActionTokenGeneratedByUserLifespan()`
    `String` | `getAdminTheme()`
    `List<ApplicationRepresentation>` | `getApplications()`
    `Map<String,List<ScopeMappingRepresentation>>` | `getApplicationScopeMappings()` Deprecated.
    `Map<String,String>` | `getAttributes()`
    `Map<String,String>` | `getAttributesOrEmpty()`
    `List<AuthenticationFlowRepresentation>` | `getAuthenticationFlows()`
    `List<AuthenticatorConfigRepresentation>` | `getAuthenticatorConfig()`
    `String` | `getBrowserFlow()`
    `Map<String,String>` | `getBrowserSecurityHeaders()`
    `String` | `getCertificate()`
    `String` | `getClientAuthenticationFlow()`
    `Integer` | `getClientOfflineSessionIdleTimeout()`
    `Integer` | `getClientOfflineSessionMaxLifespan()`
    `List<ClientRepresentation>` | `getClients()`
    `Map<String,List<ScopeMappingRepresentation>>` | `getClientScopeMappings()`
    `List<ClientScopeRepresentation>` | `getClientScopes()`
    `Integer` | `getClientSessionIdleTimeout()`
    `Integer` | `getClientSessionMaxLifespan()`
    `List<ClientTemplateRepresentation>` | `getClientTemplates()` Deprecated.
    `String` | `getCodeSecret()`
    `MultivaluedHashMap<String,ComponentExportRepresentation>` | `getComponents()`
    `List<String>` | `getDefaultDefaultClientScopes()`
    `List<String>` | `getDefaultGroups()`
    `String` | `getDefaultLocale()`
    `List<String>` | `getDefaultOptionalClientScopes()`
    `RoleRepresentation` | `getDefaultRole()`
    `List<String>` | `getDefaultRoles()` Deprecated.
    `String` | `getDefaultSignatureAlgorithm()`
    `String` | `getDirectGrantFlow()`
    `String` | `getDisplayName()`
    `String` | `getDisplayNameHtml()`
    `String` | `getDockerAuthenticationFlow()`
    `String` | `getEmailTheme()`
    `List<String>` | `getEnabledEventTypes()`
    `Long` | `getEventsExpiration()`
    `List<String>` | `getEventsListeners()`
    `Integer` | `getFailureFactor()`
    `List<UserRepresentation>` | `getFederatedUsers()`
    `List<GroupRepresentation>` | `getGroups()`
    `String` | `getId()`
    `List<IdentityProviderMapperRepresentation>` | `getIdentityProviderMappers()`
    `List<IdentityProviderRepresentation>` | `getIdentityProviders()`
    `String` | `getKeycloakVersion()`
    `String` | `getLoginTheme()`
    `Integer` | `getMaxDeltaTimeSeconds()`
    `Integer` | `getMaxFailureWaitSeconds()`
    `Integer` | `getMinimumQuickLoginWaitSeconds()`
    `Integer` | `getNotBefore()`
    `Integer` | `getOAuth2DeviceCodeLifespan()`
    `Integer` | `getOAuth2DevicePollingInterval()`
    `List<OAuthClientRepresentation>` | `getOauthClients()` Deprecated.
    `Integer` | `getOfflineSessionIdleTimeout()`
    `Integer` | `getOfflineSessionMaxLifespan()`
    `Boolean` | `getOfflineSessionMaxLifespanEnabled()`
    `String` | `getOtpPolicyAlgorithm()`
    `Integer` | `getOtpPolicyDigits()`
    `Integer` | `getOtpPolicyInitialCounter()`
    `Integer` | `getOtpPolicyLookAheadWindow()`
    `Integer` | `getOtpPolicyPeriod()`
    `String` | `getOtpPolicyType()`
    `List<String>` | `getOtpSupportedApplications()`
    `ClientPoliciesRepresentation` | `getParsedClientPolicies()`
    `ClientProfilesRepresentation` | `getParsedClientProfiles()`
    `String` | `getPasswordPolicy()`
    `String` | `getPrivateKey()`
    `List<ProtocolMapperRepresentation>` | `getProtocolMappers()`
    `String` | `getPublicKey()`
    `Long` | `getQuickLoginCheckMilliSeconds()`
    `String` | `getRealm()`
    `Integer` | `getRefreshTokenMaxReuse()`
    `String` | `getRegistrationFlow()`
    `List<RequiredActionProviderRepresentation>` | `getRequiredActions()`
    `Set<String>` | `getRequiredCredentials()` Deprecated.
    `String` | `getResetCredentialsFlow()`
    `Boolean` | `getRevokeRefreshToken()`
    `RolesRepresentation` | `getRoles()`
    `List<ScopeMappingRepresentation>` | `getScopeMappings()`
    `Map<String,String>` | `getSmtpServer()`
    `Map<String,String>` | `getSocialProviders()` Deprecated.
    `String` | `getSslRequired()`
    `Integer` | `getSsoSessionIdleTimeout()`
    `Integer` | `getSsoSessionIdleTimeoutRememberMe()`
    `Integer` | `getSsoSessionMaxLifespan()`
    `Integer` | `getSsoSessionMaxLifespanRememberMe()`
    `Set<String>` | `getSupportedLocales()`
    `List<UserFederationMapperRepresentation>` | `getUserFederationMappers()`
    `List<UserFederationProviderRepresentation>` | `getUserFederationProviders()`
    `List<UserRepresentation>` | `getUsers()`
    `Integer` | `getWaitIncrementSeconds()`
    `List<String>` | `getWebAuthnPolicyAcceptableAaguids()`
    `String` | `getWebAuthnPolicyAttestationConveyancePreference()`
    `String` | `getWebAuthnPolicyAuthenticatorAttachment()`
    `Integer` | `getWebAuthnPolicyCreateTimeout()`
    `List<String>` | `getWebAuthnPolicyPasswordlessAcceptableAaguids()`
    `String` | `getWebAuthnPolicyPasswordlessAttestationConveyancePreference()`
    `String` | `getWebAuthnPolicyPasswordlessAuthenticatorAttachment()`
    `Integer` | `getWebAuthnPolicyPasswordlessCreateTimeout()`
    `String` | `getWebAuthnPolicyPasswordlessRequireResidentKey()`
    `String` | `getWebAuthnPolicyPasswordlessRpEntityName()`
    `String` | `getWebAuthnPolicyPasswordlessRpId()`
    `List<String>` | `getWebAuthnPolicyPasswordlessSignatureAlgorithms()`
    `String` | `getWebAuthnPolicyPasswordlessUserVerificationRequirement()`
    `String` | `getWebAuthnPolicyRequireResidentKey()`
    `String` | `getWebAuthnPolicyRpEntityName()`
    `String` | `getWebAuthnPolicyRpId()`
    `List<String>` | `getWebAuthnPolicySignatureAlgorithms()`
    `String` | `getWebAuthnPolicyUserVerificationRequirement()`
    `Boolean` | `isAdminEventsDetailsEnabled()`
    `Boolean` | `isAdminEventsEnabled()`
    `Boolean` | `isBruteForceProtected()`
    `Boolean` | `isDuplicateEmailsAllowed()`
    `Boolean` | `isEditUsernameAllowed()`
    `Boolean` | `isEnabled()`
    `Boolean` | `isEventsEnabled()`
    `boolean` | `isIdentityFederationEnabled()`
    `Boolean` | `isInternationalizationEnabled()`
    `Boolean` | `isLoginWithEmailAllowed()`
    `Boolean` | `isPasswordCredentialGrantAllowed()`
    `Boolean` | `isPermanentLockout()`
    `Boolean` | `isRegistrationAllowed()`
    `Boolean` | `isRegistrationEmailAsUsername()`
    `Boolean` | `isRememberMe()`
    `Boolean` | `isResetPasswordAllowed()`
    `Boolean` | `isSocial()` Deprecated.
    `Boolean` | `isUpdateProfileOnInitialSocialLogin()` Deprecated.
    `Boolean` | `isUserManagedAccessAllowed()`
    `Boolean` | `isVerifyEmail()`
    `Boolean` | `isWebAuthnPolicyAvoidSameAuthenticatorRegister()`
    `Boolean` | `isWebAuthnPolicyPasswordlessAvoidSameAuthenticatorRegister()`
    `void` | `setAccessCodeLifespan(Integer accessCodeLifespan)`
    `void` | `setAccessCodeLifespanLogin(Integer accessCodeLifespanLogin)`
    `void` | `setAccessCodeLifespanUserAction(Integer accessCodeLifespanUserAction)`
    `void` | `setAccessTokenLifespan(Integer accessTokenLifespan)`
    `void` | `setAccessTokenLifespanForImplicitFlow(Integer accessTokenLifespanForImplicitFlow)`
    `void` | `setAccountTheme(String accountTheme)`
    `void` | `setActionTokenGeneratedByAdminLifespan(Integer actionTokenGeneratedByAdminLifespan)`
    `void` | `setActionTokenGeneratedByUserLifespan(Integer actionTokenGeneratedByUserLifespan)`
    `void` | `setAdminEventsDetailsEnabled(Boolean adminEventsDetailsEnabled)`
    `void` | `setAdminEventsEnabled(Boolean adminEventsEnabled)`
    `void` | `setAdminTheme(String adminTheme)`
    `void` | `setAttributes(Map<String,String> attributes)`
    `void` | `setAuthenticationFlows(List<AuthenticationFlowRepresentation> authenticationFlows)`
    `void` | `setAuthenticatorConfig(List<AuthenticatorConfigRepresentation> authenticatorConfig)`
    `void` | `setBrowserFlow(String browserFlow)`
    `void` | `setBrowserSecurityHeaders(Map<String,String> browserSecurityHeaders)`
    `void` | `setBruteForceProtected(Boolean bruteForceProtected)`
    `void` | `setCertificate(String certificate)`
    `void` | `setClientAuthenticationFlow(String clientAuthenticationFlow)`
    `void` | `setClientOfflineSessionIdleTimeout(Integer clientOfflineSessionIdleTimeout)`
    `void` | `setClientOfflineSessionMaxLifespan(Integer clientOfflineSessionMaxLifespan)`
    `void` | `setClients(List<ClientRepresentation> clients)`
    `void` | `setClientScopeMappings(Map<String,List<ScopeMappingRepresentation>> clientScopeMappings)`
    `void` | `setClientScopes(List<ClientScopeRepresentation> clientScopes)`
    `void` | `setClientSessionIdleTimeout(Integer clientSessionIdleTimeout)`
    `void` | `setClientSessionMaxLifespan(Integer clientSessionMaxLifespan)`
    `void` | `setCodeSecret(String codeSecret)`
    `void` | `setComponents(MultivaluedHashMap<String,ComponentExportRepresentation> components)`
    `void` | `setDefaultDefaultClientScopes(List<String> defaultDefaultClientScopes)`
    `void` | `setDefaultGroups(List<String> defaultGroups)`
    `void` | `setDefaultLocale(String defaultLocale)`
    `void` | `setDefaultOptionalClientScopes(List<String> defaultOptionalClientScopes)`
    `void` | `setDefaultRole(RoleRepresentation defaultRole)`
    `void` | `setDefaultRoles(List<String> defaultRoles)` Deprecated.
    `void` | `setDefaultSignatureAlgorithm(String defaultSignatureAlgorithm)`
    `void` | `setDirectGrantFlow(String directGrantFlow)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setDisplayNameHtml(String displayNameHtml)`
    `RealmRepresentation` | `setDockerAuthenticationFlow(String dockerAuthenticationFlow)`
    `void` | `setDuplicateEmailsAllowed(Boolean duplicateEmailsAllowed)`
    `void` | `setEditUsernameAllowed(Boolean editUsernameAllowed)`
    `void` | `setEmailTheme(String emailTheme)`
    `void` | `setEnabled(Boolean enabled)`
    `void` | `setEnabledEventTypes(List<String> enabledEventTypes)`
    `void` | `setEventsEnabled(boolean eventsEnabled)`
    `void` | `setEventsExpiration(long eventsExpiration)`
    `void` | `setEventsListeners(List<String> eventsListeners)`
    `void` | `setFailureFactor(Integer failureFactor)`
    `void` | `setFederatedUsers(List<UserRepresentation> federatedUsers)`
    `void` | `setGroups(List<GroupRepresentation> groups)`
    `void` | `setId(String id)`
    `void` | `setIdentityProviderMappers(List<IdentityProviderMapperRepresentation> identityProviderMappers)`
    `void` | `setIdentityProviders(List<IdentityProviderRepresentation> identityProviders)`
    `void` | `setInternationalizationEnabled(Boolean internationalizationEnabled)`
    `void` | `setKeycloakVersion(String keycloakVersion)`
    `void` | `setLoginTheme(String loginTheme)`
    `void` | `setLoginWithEmailAllowed(Boolean loginWithEmailAllowed)`
    `void` | `setMaxDeltaTimeSeconds(Integer maxDeltaTimeSeconds)`
    `void` | `setMaxFailureWaitSeconds(Integer maxFailureWaitSeconds)`
    `void` | `setMinimumQuickLoginWaitSeconds(Integer minimumQuickLoginWaitSeconds)`
    `void` | `setNotBefore(Integer notBefore)`
    `void` | `setOAuth2DeviceCodeLifespan(Integer oauth2DeviceCodeLifespan)`
    `void` | `setOAuth2DevicePollingInterval(Integer oauth2DevicePollingInterval)`
    `void` | `setOfflineSessionIdleTimeout(Integer offlineSessionIdleTimeout)`
    `void` | `setOfflineSessionMaxLifespan(Integer offlineSessionMaxLifespan)`
    `void` | `setOfflineSessionMaxLifespanEnabled(Boolean offlineSessionMaxLifespanEnabled)`
    `void` | `setOtpPolicyAlgorithm(String otpPolicyAlgorithm)`
    `void` | `setOtpPolicyDigits(Integer otpPolicyDigits)`
    `void` | `setOtpPolicyInitialCounter(Integer otpPolicyInitialCounter)`
    `void` | `setOtpPolicyLookAheadWindow(Integer otpPolicyLookAheadWindow)`
    `void` | `setOtpPolicyPeriod(Integer otpPolicyPeriod)`
    `void` | `setOtpPolicyType(String otpPolicyType)`
    `void` | `setOtpSupportedApplications(List<String> otpSupportedApplications)`
    `void` | `setParsedClientPolicies(ClientPoliciesRepresentation clientPolicies)`
    `void` | `setParsedClientProfiles(ClientProfilesRepresentation clientProfiles)`
    `void` | `setPasswordPolicy(String passwordPolicy)`
    `void` | `setPermanentLockout(Boolean permanentLockout)`
    `void` | `setPrivateKey(String privateKey)`
    `void` | `setProtocolMappers(List<ProtocolMapperRepresentation> protocolMappers)`
    `void` | `setPublicKey(String publicKey)`
    `void` | `setQuickLoginCheckMilliSeconds(Long quickLoginCheckMilliSeconds)`
    `void` | `setRealm(String realm)`
    `void` | `setRefreshTokenMaxReuse(Integer refreshTokenMaxReuse)`
    `void` | `setRegistrationAllowed(Boolean registrationAllowed)`
    `void` | `setRegistrationEmailAsUsername(Boolean registrationEmailAsUsername)`
    `void` | `setRegistrationFlow(String registrationFlow)`
    `void` | `setRememberMe(Boolean rememberMe)`
    `void` | `setRequiredActions(List<RequiredActionProviderRepresentation> requiredActions)`
    `void` | `setRequiredCredentials(Set<String> requiredCredentials)` Deprecated.
    `void` | `setResetCredentialsFlow(String resetCredentialsFlow)`
    `void` | `setResetPasswordAllowed(Boolean resetPassword)`
    `void` | `setRevokeRefreshToken(Boolean revokeRefreshToken)`
    `void` | `setRoles(RolesRepresentation roles)`
    `void` | `setSmtpServer(Map<String,String> smtpServer)`
    `void` | `setSslRequired(String sslRequired)`
    `void` | `setSsoSessionIdleTimeout(Integer ssoSessionIdleTimeout)`
    `void` | `setSsoSessionIdleTimeoutRememberMe(Integer ssoSessionIdleTimeoutRememberMe)`
    `void` | `setSsoSessionMaxLifespan(Integer ssoSessionMaxLifespan)`
    `void` | `setSsoSessionMaxLifespanRememberMe(Integer ssoSessionMaxLifespanRememberMe)`
    `void` | `setSupportedLocales(Set<String> supportedLocales)`
    `void` | `setUserFederationMappers(List<UserFederationMapperRepresentation> userFederationMappers)`
    `void` | `setUserFederationProviders(List<UserFederationProviderRepresentation> userFederationProviders)`
    `void` | `setUserManagedAccessAllowed(Boolean userManagedAccessAllowed)`
    `void` | `setUsers(List<UserRepresentation> users)`
    `void` | `setVerifyEmail(Boolean verifyEmail)`
    `void` | `setWaitIncrementSeconds(Integer waitIncrementSeconds)`
    `void` | `setWebAuthnPolicyAcceptableAaguids(List<String> webAuthnPolicyAcceptableAaguids)`
    `void` | `setWebAuthnPolicyAttestationConveyancePreference(String webAuthnPolicyAttestationConveyancePreference)`
    `void` | `setWebAuthnPolicyAuthenticatorAttachment(String webAuthnPolicyAuthenticatorAttachment)`
    `void` | `setWebAuthnPolicyAvoidSameAuthenticatorRegister(Boolean webAuthnPolicyAvoidSameAuthenticatorRegister)`
    `void` | `setWebAuthnPolicyCreateTimeout(Integer webAuthnPolicyCreateTimeout)`
    `void` | `setWebAuthnPolicyPasswordlessAcceptableAaguids(List<String> webAuthnPolicyPasswordlessAcceptableAaguids)`
    `void` | `setWebAuthnPolicyPasswordlessAttestationConveyancePreference(String webAuthnPolicyPasswordlessAttestationConveyancePreference)`
    `void` | `setWebAuthnPolicyPasswordlessAuthenticatorAttachment(String webAuthnPolicyPasswordlessAuthenticatorAttachment)`
    `void` | `setWebAuthnPolicyPasswordlessAvoidSameAuthenticatorRegister(Boolean webAuthnPolicyPasswordlessAvoidSameAuthenticatorRegister)`
    `void` | `setWebAuthnPolicyPasswordlessCreateTimeout(Integer webAuthnPolicyPasswordlessCreateTimeout)`
    `void` | `setWebAuthnPolicyPasswordlessRequireResidentKey(String webAuthnPolicyPasswordlessRequireResidentKey)`
    `void` | `setWebAuthnPolicyPasswordlessRpEntityName(String webAuthnPolicyPasswordlessRpEntityName)`
    `void` | `setWebAuthnPolicyPasswordlessRpId(String webAuthnPolicyPasswordlessRpId)`
    `void` | `setWebAuthnPolicyPasswordlessSignatureAlgorithms(List<String> webAuthnPolicyPasswordlessSignatureAlgorithms)`
    `void` | `setWebAuthnPolicyPasswordlessUserVerificationRequirement(String webAuthnPolicyPasswordlessUserVerificationRequirement)`
    `void` | `setWebAuthnPolicyRequireResidentKey(String webAuthnPolicyRequireResidentKey)`
    `void` | `setWebAuthnPolicyRpEntityName(String webAuthnPolicyRpEntityName)`
    `void` | `setWebAuthnPolicyRpId(String webAuthnPolicyRpId)`
    `void` | `setWebAuthnPolicySignatureAlgorithms(List<String> webAuthnPolicySignatureAlgorithms)`
    `void` | `setWebAuthnPolicyUserVerificationRequirement(String webAuthnPolicyUserVerificationRequirement)`
    `UserRepresentation` | `user(String username)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### realm

          protected String realm

    - #### displayName

          protected String displayName

    - #### displayNameHtml

          protected String displayNameHtml

    - #### notBefore

          protected Integer notBefore

    - #### defaultSignatureAlgorithm

          protected String defaultSignatureAlgorithm

    - #### revokeRefreshToken

          protected Boolean revokeRefreshToken

    - #### refreshTokenMaxReuse

          protected Integer refreshTokenMaxReuse

    - #### accessTokenLifespan

          protected Integer accessTokenLifespan

    - #### accessTokenLifespanForImplicitFlow

          protected Integer accessTokenLifespanForImplicitFlow

    - #### ssoSessionIdleTimeout

          protected Integer ssoSessionIdleTimeout

    - #### ssoSessionMaxLifespan

          protected Integer ssoSessionMaxLifespan

    - #### ssoSessionIdleTimeoutRememberMe

          protected Integer ssoSessionIdleTimeoutRememberMe

    - #### ssoSessionMaxLifespanRememberMe

          protected Integer ssoSessionMaxLifespanRememberMe

    - #### offlineSessionIdleTimeout

          protected Integer offlineSessionIdleTimeout

    - #### offlineSessionMaxLifespanEnabled

          protected Boolean offlineSessionMaxLifespanEnabled

    - #### offlineSessionMaxLifespan

          protected Integer offlineSessionMaxLifespan

    - #### clientSessionIdleTimeout

          protected Integer clientSessionIdleTimeout

    - #### clientSessionMaxLifespan

          protected Integer clientSessionMaxLifespan

    - #### clientOfflineSessionIdleTimeout

          protected Integer clientOfflineSessionIdleTimeout

    - #### clientOfflineSessionMaxLifespan

          protected Integer clientOfflineSessionMaxLifespan

    - #### accessCodeLifespan

          protected Integer accessCodeLifespan

    - #### accessCodeLifespanUserAction

          protected Integer accessCodeLifespanUserAction

    - #### accessCodeLifespanLogin

          protected Integer accessCodeLifespanLogin

    - #### actionTokenGeneratedByAdminLifespan

          protected Integer actionTokenGeneratedByAdminLifespan

    - #### actionTokenGeneratedByUserLifespan

          protected Integer actionTokenGeneratedByUserLifespan

    - #### oauth2DeviceCodeLifespan

          protected Integer oauth2DeviceCodeLifespan

    - #### oauth2DevicePollingInterval

          protected Integer oauth2DevicePollingInterval

    - #### enabled

          protected Boolean enabled

    - #### sslRequired

          protected String sslRequired

    - #### passwordCredentialGrantAllowed

          @Deprecated
          protected Boolean passwordCredentialGrantAllowed

      Deprecated.

    - #### registrationAllowed

          protected Boolean registrationAllowed

    - #### registrationEmailAsUsername

          protected Boolean registrationEmailAsUsername

    - #### rememberMe

          protected Boolean rememberMe

    - #### verifyEmail

          protected Boolean verifyEmail

    - #### loginWithEmailAllowed

          protected Boolean loginWithEmailAllowed

    - #### duplicateEmailsAllowed

          protected Boolean duplicateEmailsAllowed

    - #### resetPasswordAllowed

          protected Boolean resetPasswordAllowed

    - #### editUsernameAllowed

          protected Boolean editUsernameAllowed

    - #### userCacheEnabled

          @Deprecated
          protected Boolean userCacheEnabled

      Deprecated.

    - #### realmCacheEnabled

          @Deprecated
          protected Boolean realmCacheEnabled

      Deprecated.

    - #### bruteForceProtected

          protected Boolean bruteForceProtected

    - #### permanentLockout

          protected Boolean permanentLockout

    - #### maxFailureWaitSeconds

          protected Integer maxFailureWaitSeconds

    - #### minimumQuickLoginWaitSeconds

          protected Integer minimumQuickLoginWaitSeconds

    - #### waitIncrementSeconds

          protected Integer waitIncrementSeconds

    - #### quickLoginCheckMilliSeconds

          protected Long quickLoginCheckMilliSeconds

    - #### maxDeltaTimeSeconds

          protected Integer maxDeltaTimeSeconds

    - #### failureFactor

          protected Integer failureFactor

    - #### privateKey

          @Deprecated
          protected String privateKey

      Deprecated.

    - #### publicKey

          @Deprecated
          protected String publicKey

      Deprecated.

    - #### certificate

          @Deprecated
          protected String certificate

      Deprecated.

    - #### codeSecret

          @Deprecated
          protected String codeSecret

      Deprecated.

    - #### roles

          protected RolesRepresentation roles

    - #### groups

          protected List<GroupRepresentation> groups

    - #### defaultRoles

          @Deprecated
          protected List<String> defaultRoles

      Deprecated.

    - #### defaultRole

          protected RoleRepresentation defaultRole

    - #### defaultGroups

          protected List<String> defaultGroups

    - #### requiredCredentials

          @Deprecated
          protected Set<String> requiredCredentials

      Deprecated.

    - #### passwordPolicy

          protected String passwordPolicy

    - #### otpPolicyType

          protected String otpPolicyType

    - #### otpPolicyAlgorithm

          protected String otpPolicyAlgorithm

    - #### otpPolicyInitialCounter

          protected Integer otpPolicyInitialCounter

    - #### otpPolicyDigits

          protected Integer otpPolicyDigits

    - #### otpPolicyLookAheadWindow

          protected Integer otpPolicyLookAheadWindow

    - #### otpPolicyPeriod

          protected Integer otpPolicyPeriod

    - #### otpSupportedApplications

          protected List<String> otpSupportedApplications

    - #### webAuthnPolicyRpEntityName

          protected String webAuthnPolicyRpEntityName

    - #### webAuthnPolicySignatureAlgorithms

          protected List<String> webAuthnPolicySignatureAlgorithms

    - #### webAuthnPolicyRpId

          protected String webAuthnPolicyRpId

    - #### webAuthnPolicyAttestationConveyancePreference

          protected String webAuthnPolicyAttestationConveyancePreference

    - #### webAuthnPolicyAuthenticatorAttachment

          protected String webAuthnPolicyAuthenticatorAttachment

    - #### webAuthnPolicyRequireResidentKey

          protected String webAuthnPolicyRequireResidentKey

    - #### webAuthnPolicyUserVerificationRequirement

          protected String webAuthnPolicyUserVerificationRequirement

    - #### webAuthnPolicyCreateTimeout

          protected Integer webAuthnPolicyCreateTimeout

    - #### webAuthnPolicyAvoidSameAuthenticatorRegister

          protected Boolean webAuthnPolicyAvoidSameAuthenticatorRegister

    - #### webAuthnPolicyAcceptableAaguids

          protected List<String> webAuthnPolicyAcceptableAaguids

    - #### webAuthnPolicyPasswordlessRpEntityName

          protected String webAuthnPolicyPasswordlessRpEntityName

    - #### webAuthnPolicyPasswordlessSignatureAlgorithms

          protected List<String> webAuthnPolicyPasswordlessSignatureAlgorithms

    - #### webAuthnPolicyPasswordlessRpId

          protected String webAuthnPolicyPasswordlessRpId

    - #### webAuthnPolicyPasswordlessAttestationConveyancePreference

          protected String webAuthnPolicyPasswordlessAttestationConveyancePreference

    - #### webAuthnPolicyPasswordlessAuthenticatorAttachment

          protected String webAuthnPolicyPasswordlessAuthenticatorAttachment

    - #### webAuthnPolicyPasswordlessRequireResidentKey

          protected String webAuthnPolicyPasswordlessRequireResidentKey

    - #### webAuthnPolicyPasswordlessUserVerificationRequirement

          protected String webAuthnPolicyPasswordlessUserVerificationRequirement

    - #### webAuthnPolicyPasswordlessCreateTimeout

          protected Integer webAuthnPolicyPasswordlessCreateTimeout

    - #### webAuthnPolicyPasswordlessAvoidSameAuthenticatorRegister

          protected Boolean webAuthnPolicyPasswordlessAvoidSameAuthenticatorRegister

    - #### webAuthnPolicyPasswordlessAcceptableAaguids

          protected List<String> webAuthnPolicyPasswordlessAcceptableAaguids

    - #### clientProfiles

          protected com.fasterxml.jackson.databind.JsonNode clientProfiles

    - #### clientPolicies

          protected com.fasterxml.jackson.databind.JsonNode clientPolicies

    - #### users

          protected List<UserRepresentation> users

    - #### federatedUsers

          protected List<UserRepresentation> federatedUsers

    - #### scopeMappings

          protected List<ScopeMappingRepresentation> scopeMappings

    - #### clientScopeMappings

          protected Map<String,List<ScopeMappingRepresentation>> clientScopeMappings

    - #### clients

          protected List<ClientRepresentation> clients

    - #### clientScopes

          protected List<ClientScopeRepresentation> clientScopes

    - #### defaultDefaultClientScopes

          protected List<String> defaultDefaultClientScopes

    - #### defaultOptionalClientScopes

          protected List<String> defaultOptionalClientScopes

    - #### browserSecurityHeaders

          protected Map<String,String> browserSecurityHeaders

    - #### smtpServer

          protected Map<String,String> smtpServer

    - #### userFederationProviders

          protected List<UserFederationProviderRepresentation> userFederationProviders

    - #### userFederationMappers

          protected List<UserFederationMapperRepresentation> userFederationMappers

    - #### loginTheme

          protected String loginTheme

    - #### accountTheme

          protected String accountTheme

    - #### adminTheme

          protected String adminTheme

    - #### emailTheme

          protected String emailTheme

    - #### eventsEnabled

          protected Boolean eventsEnabled

    - #### eventsExpiration

          protected Long eventsExpiration

    - #### eventsListeners

          protected List<String> eventsListeners

    - #### enabledEventTypes

          protected List<String> enabledEventTypes

    - #### adminEventsEnabled

          protected Boolean adminEventsEnabled

    - #### adminEventsDetailsEnabled

          protected Boolean adminEventsDetailsEnabled

    - #### internationalizationEnabled

          protected Boolean internationalizationEnabled

    - #### supportedLocales

          protected Set<String> supportedLocales

    - #### defaultLocale

          protected String defaultLocale

    - #### authenticationFlows

          protected List<AuthenticationFlowRepresentation> authenticationFlows

    - #### authenticatorConfig

          protected List<AuthenticatorConfigRepresentation> authenticatorConfig

    - #### requiredActions

          protected List<RequiredActionProviderRepresentation> requiredActions

    - #### browserFlow

          protected String browserFlow

    - #### registrationFlow

          protected String registrationFlow

    - #### directGrantFlow

          protected String directGrantFlow

    - #### resetCredentialsFlow

          protected String resetCredentialsFlow

    - #### clientAuthenticationFlow

          protected String clientAuthenticationFlow

    - #### dockerAuthenticationFlow

          protected String dockerAuthenticationFlow

    - #### attributes

          protected Map<String,String> attributes

    - #### keycloakVersion

          protected String keycloakVersion

    - #### userManagedAccessAllowed

          protected Boolean userManagedAccessAllowed

    - #### social

          @Deprecated
          protected Boolean social

      Deprecated.

    - #### updateProfileOnInitialSocialLogin

          @Deprecated
          protected Boolean updateProfileOnInitialSocialLogin

      Deprecated.

    - #### socialProviders

          @Deprecated
          protected Map<String,String> socialProviders

      Deprecated.

    - #### applicationScopeMappings

          @Deprecated
          protected Map<String,List<ScopeMappingRepresentation>> applicationScopeMappings

      Deprecated.

    - #### applications

          @Deprecated
          protected List<ApplicationRepresentation> applications

      Deprecated.

    - #### oauthClients

          @Deprecated
          protected List<OAuthClientRepresentation> oauthClients

      Deprecated.

    - #### clientTemplates

          @Deprecated
          protected List<ClientTemplateRepresentation> clientTemplates

      Deprecated.

  - ### Constructor Detail

    - #### RealmRepresentation

          public RealmRepresentation()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getRealm

          public String getRealm()

    - #### setRealm

          public void setRealm(String realm)

    - #### getDisplayName

          public String getDisplayName()

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### getDisplayNameHtml

          public String getDisplayNameHtml()

    - #### setDisplayNameHtml

          public void setDisplayNameHtml(String displayNameHtml)

    - #### getUsers

          public List<UserRepresentation> getUsers()

    - #### getApplications

          public List<ApplicationRepresentation> getApplications()

    - #### setUsers

          public void setUsers(List<UserRepresentation> users)

    - #### user

          public UserRepresentation user(String username)

    - #### getClients

          public List<ClientRepresentation> getClients()

    - #### setClients

          public void setClients(List<ClientRepresentation> clients)

    - #### isEnabled

          public Boolean isEnabled()

    - #### setEnabled

          public void setEnabled(Boolean enabled)

    - #### getSslRequired

          public String getSslRequired()

    - #### setSslRequired

          public void setSslRequired(String sslRequired)

    - #### getDefaultSignatureAlgorithm

          public String getDefaultSignatureAlgorithm()

    - #### setDefaultSignatureAlgorithm

          public void setDefaultSignatureAlgorithm(String defaultSignatureAlgorithm)

    - #### getRevokeRefreshToken

          public Boolean getRevokeRefreshToken()

    - #### setRevokeRefreshToken

          public void setRevokeRefreshToken(Boolean revokeRefreshToken)

    - #### getRefreshTokenMaxReuse

          public Integer getRefreshTokenMaxReuse()

    - #### setRefreshTokenMaxReuse

          public void setRefreshTokenMaxReuse(Integer refreshTokenMaxReuse)

    - #### getAccessTokenLifespan

          public Integer getAccessTokenLifespan()

    - #### setAccessTokenLifespan

          public void setAccessTokenLifespan(Integer accessTokenLifespan)

    - #### getAccessTokenLifespanForImplicitFlow

          public Integer getAccessTokenLifespanForImplicitFlow()

    - #### setAccessTokenLifespanForImplicitFlow

          public void setAccessTokenLifespanForImplicitFlow(Integer accessTokenLifespanForImplicitFlow)

    - #### getSsoSessionIdleTimeout

          public Integer getSsoSessionIdleTimeout()

    - #### setSsoSessionIdleTimeout

          public void setSsoSessionIdleTimeout(Integer ssoSessionIdleTimeout)

    - #### getSsoSessionMaxLifespan

          public Integer getSsoSessionMaxLifespan()

    - #### setSsoSessionMaxLifespan

          public void setSsoSessionMaxLifespan(Integer ssoSessionMaxLifespan)

    - #### getSsoSessionMaxLifespanRememberMe

          public Integer getSsoSessionMaxLifespanRememberMe()

    - #### setSsoSessionMaxLifespanRememberMe

          public void setSsoSessionMaxLifespanRememberMe(Integer ssoSessionMaxLifespanRememberMe)

    - #### getSsoSessionIdleTimeoutRememberMe

          public Integer getSsoSessionIdleTimeoutRememberMe()

    - #### setSsoSessionIdleTimeoutRememberMe

          public void setSsoSessionIdleTimeoutRememberMe(Integer ssoSessionIdleTimeoutRememberMe)

    - #### getOfflineSessionIdleTimeout

          public Integer getOfflineSessionIdleTimeout()

    - #### setOfflineSessionIdleTimeout

          public void setOfflineSessionIdleTimeout(Integer offlineSessionIdleTimeout)

    - #### getOfflineSessionMaxLifespanEnabled

          public Boolean getOfflineSessionMaxLifespanEnabled()

    - #### setOfflineSessionMaxLifespanEnabled

          public void setOfflineSessionMaxLifespanEnabled(Boolean offlineSessionMaxLifespanEnabled)

    - #### getOfflineSessionMaxLifespan

          public Integer getOfflineSessionMaxLifespan()

    - #### setOfflineSessionMaxLifespan

          public void setOfflineSessionMaxLifespan(Integer offlineSessionMaxLifespan)

    - #### getClientSessionIdleTimeout

          public Integer getClientSessionIdleTimeout()

    - #### setClientSessionIdleTimeout

          public void setClientSessionIdleTimeout(Integer clientSessionIdleTimeout)

    - #### getClientSessionMaxLifespan

          public Integer getClientSessionMaxLifespan()

    - #### setClientSessionMaxLifespan

          public void setClientSessionMaxLifespan(Integer clientSessionMaxLifespan)

    - #### getClientOfflineSessionIdleTimeout

          public Integer getClientOfflineSessionIdleTimeout()

    - #### setClientOfflineSessionIdleTimeout

          public void setClientOfflineSessionIdleTimeout(Integer clientOfflineSessionIdleTimeout)

    - #### getClientOfflineSessionMaxLifespan

          public Integer getClientOfflineSessionMaxLifespan()

    - #### setClientOfflineSessionMaxLifespan

          public void setClientOfflineSessionMaxLifespan(Integer clientOfflineSessionMaxLifespan)

    - #### getScopeMappings

          public List<ScopeMappingRepresentation> getScopeMappings()

    - #### clientScopeMapping

          public ScopeMappingRepresentation clientScopeMapping(String clientName)

    - #### clientScopeScopeMapping

          public ScopeMappingRepresentation clientScopeScopeMapping(String clientScopeName)

    - #### getRequiredCredentials

          @Deprecated
          public Set<String> getRequiredCredentials()

      Deprecated.

    - #### setRequiredCredentials

          @Deprecated
          public void setRequiredCredentials(Set<String> requiredCredentials)

      Deprecated.

    - #### getPasswordPolicy

          public String getPasswordPolicy()

    - #### setPasswordPolicy

          public void setPasswordPolicy(String passwordPolicy)

    - #### getAccessCodeLifespan

          public Integer getAccessCodeLifespan()

    - #### setAccessCodeLifespan

          public void setAccessCodeLifespan(Integer accessCodeLifespan)

    - #### getAccessCodeLifespanUserAction

          public Integer getAccessCodeLifespanUserAction()

    - #### setAccessCodeLifespanUserAction

          public void setAccessCodeLifespanUserAction(Integer accessCodeLifespanUserAction)

    - #### getAccessCodeLifespanLogin

          public Integer getAccessCodeLifespanLogin()

    - #### setAccessCodeLifespanLogin

          public void setAccessCodeLifespanLogin(Integer accessCodeLifespanLogin)

    - #### getActionTokenGeneratedByAdminLifespan

          public Integer getActionTokenGeneratedByAdminLifespan()

    - #### setActionTokenGeneratedByAdminLifespan

          public void setActionTokenGeneratedByAdminLifespan(Integer actionTokenGeneratedByAdminLifespan)

    - #### setOAuth2DeviceCodeLifespan

          public void setOAuth2DeviceCodeLifespan(Integer oauth2DeviceCodeLifespan)

    - #### getOAuth2DeviceCodeLifespan

          public Integer getOAuth2DeviceCodeLifespan()

    - #### setOAuth2DevicePollingInterval

          public void setOAuth2DevicePollingInterval(Integer oauth2DevicePollingInterval)

    - #### getOAuth2DevicePollingInterval

          public Integer getOAuth2DevicePollingInterval()

    - #### getActionTokenGeneratedByUserLifespan

          public Integer getActionTokenGeneratedByUserLifespan()

    - #### setActionTokenGeneratedByUserLifespan

          public void setActionTokenGeneratedByUserLifespan(Integer actionTokenGeneratedByUserLifespan)

    - #### getDefaultRoles

          @Deprecated
          public List<String> getDefaultRoles()

      Deprecated.

    - #### setDefaultRoles

          @Deprecated
          public void setDefaultRoles(List<String> defaultRoles)

      Deprecated.

    - #### getDefaultRole

          public RoleRepresentation getDefaultRole()

    - #### setDefaultRole

          public void setDefaultRole(RoleRepresentation defaultRole)

    - #### getDefaultGroups

          public List<String> getDefaultGroups()

    - #### setDefaultGroups

          public void setDefaultGroups(List<String> defaultGroups)

    - #### getPrivateKey

          public String getPrivateKey()

    - #### setPrivateKey

          public void setPrivateKey(String privateKey)

    - #### getPublicKey

          public String getPublicKey()

    - #### setPublicKey

          public void setPublicKey(String publicKey)

    - #### getCertificate

          public String getCertificate()

    - #### setCertificate

          public void setCertificate(String certificate)

    - #### getCodeSecret

          public String getCodeSecret()

    - #### setCodeSecret

          public void setCodeSecret(String codeSecret)

    - #### isPasswordCredentialGrantAllowed

          public Boolean isPasswordCredentialGrantAllowed()

    - #### isRegistrationAllowed

          public Boolean isRegistrationAllowed()

    - #### setRegistrationAllowed

          public void setRegistrationAllowed(Boolean registrationAllowed)

    - #### isRegistrationEmailAsUsername

          public Boolean isRegistrationEmailAsUsername()

    - #### setRegistrationEmailAsUsername

          public void setRegistrationEmailAsUsername(Boolean registrationEmailAsUsername)

    - #### isRememberMe

          public Boolean isRememberMe()

    - #### setRememberMe

          public void setRememberMe(Boolean rememberMe)

    - #### isVerifyEmail

          public Boolean isVerifyEmail()

    - #### setVerifyEmail

          public void setVerifyEmail(Boolean verifyEmail)

    - #### isLoginWithEmailAllowed

          public Boolean isLoginWithEmailAllowed()

    - #### setLoginWithEmailAllowed

          public void setLoginWithEmailAllowed(Boolean loginWithEmailAllowed)

    - #### isDuplicateEmailsAllowed

          public Boolean isDuplicateEmailsAllowed()

    - #### setDuplicateEmailsAllowed

          public void setDuplicateEmailsAllowed(Boolean duplicateEmailsAllowed)

    - #### isResetPasswordAllowed

          public Boolean isResetPasswordAllowed()

    - #### setResetPasswordAllowed

          public void setResetPasswordAllowed(Boolean resetPassword)

    - #### isEditUsernameAllowed

          public Boolean isEditUsernameAllowed()

    - #### setEditUsernameAllowed

          public void setEditUsernameAllowed(Boolean editUsernameAllowed)

    - #### isSocial

          @Deprecated
          public Boolean isSocial()

      Deprecated.

    - #### isUpdateProfileOnInitialSocialLogin

          @Deprecated
          public Boolean isUpdateProfileOnInitialSocialLogin()

      Deprecated.

    - #### getBrowserSecurityHeaders

          public Map<String,String> getBrowserSecurityHeaders()

    - #### setBrowserSecurityHeaders

          public void setBrowserSecurityHeaders(Map<String,String> browserSecurityHeaders)

    - #### getSocialProviders

          @Deprecated
          public Map<String,String> getSocialProviders()

      Deprecated.

    - #### getSmtpServer

          public Map<String,String> getSmtpServer()

    - #### setSmtpServer

          public void setSmtpServer(Map<String,String> smtpServer)

    - #### getOauthClients

          @Deprecated
          public List<OAuthClientRepresentation> getOauthClients()

      Deprecated.

    - #### getClientScopeMappings

          public Map<String,List<ScopeMappingRepresentation>> getClientScopeMappings()

    - #### setClientScopeMappings

          public void setClientScopeMappings(Map<String,List<ScopeMappingRepresentation>> clientScopeMappings)

    - #### getApplicationScopeMappings

          @Deprecated
          public Map<String,List<ScopeMappingRepresentation>> getApplicationScopeMappings()

      Deprecated.

    - #### getRoles

          public RolesRepresentation getRoles()

    - #### setRoles

          public void setRoles(RolesRepresentation roles)

    - #### getLoginTheme

          public String getLoginTheme()

    - #### setLoginTheme

          public void setLoginTheme(String loginTheme)

    - #### getAccountTheme

          public String getAccountTheme()

    - #### setAccountTheme

          public void setAccountTheme(String accountTheme)

    - #### getAdminTheme

          public String getAdminTheme()

    - #### setAdminTheme

          public void setAdminTheme(String adminTheme)

    - #### getEmailTheme

          public String getEmailTheme()

    - #### setEmailTheme

          public void setEmailTheme(String emailTheme)

    - #### getNotBefore

          public Integer getNotBefore()

    - #### setNotBefore

          public void setNotBefore(Integer notBefore)

    - #### isBruteForceProtected

          public Boolean isBruteForceProtected()

    - #### setBruteForceProtected

          public void setBruteForceProtected(Boolean bruteForceProtected)

    - #### isPermanentLockout

          public Boolean isPermanentLockout()

    - #### setPermanentLockout

          public void setPermanentLockout(Boolean permanentLockout)

    - #### getMaxFailureWaitSeconds

          public Integer getMaxFailureWaitSeconds()

    - #### setMaxFailureWaitSeconds

          public void setMaxFailureWaitSeconds(Integer maxFailureWaitSeconds)

    - #### getMinimumQuickLoginWaitSeconds

          public Integer getMinimumQuickLoginWaitSeconds()

    - #### setMinimumQuickLoginWaitSeconds

          public void setMinimumQuickLoginWaitSeconds(Integer minimumQuickLoginWaitSeconds)

    - #### getWaitIncrementSeconds

          public Integer getWaitIncrementSeconds()

    - #### setWaitIncrementSeconds

          public void setWaitIncrementSeconds(Integer waitIncrementSeconds)

    - #### getQuickLoginCheckMilliSeconds

          public Long getQuickLoginCheckMilliSeconds()

    - #### setQuickLoginCheckMilliSeconds

          public void setQuickLoginCheckMilliSeconds(Long quickLoginCheckMilliSeconds)

    - #### getMaxDeltaTimeSeconds

          public Integer getMaxDeltaTimeSeconds()

    - #### setMaxDeltaTimeSeconds

          public void setMaxDeltaTimeSeconds(Integer maxDeltaTimeSeconds)

    - #### getFailureFactor

          public Integer getFailureFactor()

    - #### setFailureFactor

          public void setFailureFactor(Integer failureFactor)

    - #### isEventsEnabled

          public Boolean isEventsEnabled()

    - #### setEventsEnabled

          public void setEventsEnabled(boolean eventsEnabled)

    - #### getEventsExpiration

          public Long getEventsExpiration()

    - #### setEventsExpiration

          public void setEventsExpiration(long eventsExpiration)

    - #### getEventsListeners

          public List<String> getEventsListeners()

    - #### setEventsListeners

          public void setEventsListeners(List<String> eventsListeners)

    - #### getEnabledEventTypes

          public List<String> getEnabledEventTypes()

    - #### setEnabledEventTypes

          public void setEnabledEventTypes(List<String> enabledEventTypes)

    - #### isAdminEventsEnabled

          public Boolean isAdminEventsEnabled()

    - #### setAdminEventsEnabled

          public void setAdminEventsEnabled(Boolean adminEventsEnabled)

    - #### isAdminEventsDetailsEnabled

          public Boolean isAdminEventsDetailsEnabled()

    - #### setAdminEventsDetailsEnabled

          public void setAdminEventsDetailsEnabled(Boolean adminEventsDetailsEnabled)

    - #### getUserFederationProviders

          public List<UserFederationProviderRepresentation> getUserFederationProviders()

    - #### setUserFederationProviders

          public void setUserFederationProviders(List<UserFederationProviderRepresentation> userFederationProviders)

    - #### getUserFederationMappers

          public List<UserFederationMapperRepresentation> getUserFederationMappers()

    - #### setUserFederationMappers

          public void setUserFederationMappers(List<UserFederationMapperRepresentation> userFederationMappers)

    - #### addUserFederationMapper

          public void addUserFederationMapper(UserFederationMapperRepresentation userFederationMapper)

    - #### getIdentityProviders

          public List<IdentityProviderRepresentation> getIdentityProviders()

    - #### setIdentityProviders

          public void setIdentityProviders(List<IdentityProviderRepresentation> identityProviders)

    - #### addIdentityProvider

          public void addIdentityProvider(IdentityProviderRepresentation identityProviderRepresentation)

    - #### getProtocolMappers

          public List<ProtocolMapperRepresentation> getProtocolMappers()

    - #### addProtocolMapper

          public void addProtocolMapper(ProtocolMapperRepresentation rep)

    - #### setProtocolMappers

          public void setProtocolMappers(List<ProtocolMapperRepresentation> protocolMappers)

    - #### isInternationalizationEnabled

          public Boolean isInternationalizationEnabled()

    - #### setInternationalizationEnabled

          public void setInternationalizationEnabled(Boolean internationalizationEnabled)

    - #### getSupportedLocales

          public Set<String> getSupportedLocales()

    - #### addSupportedLocales

          public void addSupportedLocales(String locale)

    - #### setSupportedLocales

          public void setSupportedLocales(Set<String> supportedLocales)

    - #### getDefaultLocale

          public String getDefaultLocale()

    - #### setDefaultLocale

          public void setDefaultLocale(String defaultLocale)

    - #### getIdentityProviderMappers

          public List<IdentityProviderMapperRepresentation> getIdentityProviderMappers()

    - #### setIdentityProviderMappers

          public void setIdentityProviderMappers(List<IdentityProviderMapperRepresentation> identityProviderMappers)

    - #### addIdentityProviderMapper

          public void addIdentityProviderMapper(IdentityProviderMapperRepresentation rep)

    - #### getAuthenticationFlows

          public List<AuthenticationFlowRepresentation> getAuthenticationFlows()

    - #### setAuthenticationFlows

          public void setAuthenticationFlows(List<AuthenticationFlowRepresentation> authenticationFlows)

    - #### getAuthenticatorConfig

          public List<AuthenticatorConfigRepresentation> getAuthenticatorConfig()

    - #### setAuthenticatorConfig

          public void setAuthenticatorConfig(List<AuthenticatorConfigRepresentation> authenticatorConfig)

    - #### getRequiredActions

          public List<RequiredActionProviderRepresentation> getRequiredActions()

    - #### setRequiredActions

          public void setRequiredActions(List<RequiredActionProviderRepresentation> requiredActions)

    - #### getOtpPolicyType

          public String getOtpPolicyType()

    - #### setOtpPolicyType

          public void setOtpPolicyType(String otpPolicyType)

    - #### getOtpPolicyAlgorithm

          public String getOtpPolicyAlgorithm()

    - #### setOtpPolicyAlgorithm

          public void setOtpPolicyAlgorithm(String otpPolicyAlgorithm)

    - #### getOtpPolicyInitialCounter

          public Integer getOtpPolicyInitialCounter()

    - #### setOtpPolicyInitialCounter

          public void setOtpPolicyInitialCounter(Integer otpPolicyInitialCounter)

    - #### getOtpPolicyDigits

          public Integer getOtpPolicyDigits()

    - #### setOtpPolicyDigits

          public void setOtpPolicyDigits(Integer otpPolicyDigits)

    - #### getOtpPolicyLookAheadWindow

          public Integer getOtpPolicyLookAheadWindow()

    - #### setOtpPolicyLookAheadWindow

          public void setOtpPolicyLookAheadWindow(Integer otpPolicyLookAheadWindow)

    - #### getOtpPolicyPeriod

          public Integer getOtpPolicyPeriod()

    - #### setOtpPolicyPeriod

          public void setOtpPolicyPeriod(Integer otpPolicyPeriod)

    - #### getOtpSupportedApplications

          public List<String> getOtpSupportedApplications()

    - #### setOtpSupportedApplications

          public void setOtpSupportedApplications(List<String> otpSupportedApplications)

    - #### getWebAuthnPolicyRpEntityName

          public String getWebAuthnPolicyRpEntityName()

    - #### setWebAuthnPolicyRpEntityName

          public void setWebAuthnPolicyRpEntityName(String webAuthnPolicyRpEntityName)

    - #### getWebAuthnPolicySignatureAlgorithms

          public List<String> getWebAuthnPolicySignatureAlgorithms()

    - #### setWebAuthnPolicySignatureAlgorithms

          public void setWebAuthnPolicySignatureAlgorithms(List<String> webAuthnPolicySignatureAlgorithms)

    - #### getWebAuthnPolicyRpId

          public String getWebAuthnPolicyRpId()

    - #### setWebAuthnPolicyRpId

          public void setWebAuthnPolicyRpId(String webAuthnPolicyRpId)

    - #### getWebAuthnPolicyAttestationConveyancePreference

          public String getWebAuthnPolicyAttestationConveyancePreference()

    - #### setWebAuthnPolicyAttestationConveyancePreference

          public void setWebAuthnPolicyAttestationConveyancePreference(String webAuthnPolicyAttestationConveyancePreference)

    - #### getWebAuthnPolicyAuthenticatorAttachment

          public String getWebAuthnPolicyAuthenticatorAttachment()

    - #### setWebAuthnPolicyAuthenticatorAttachment

          public void setWebAuthnPolicyAuthenticatorAttachment(String webAuthnPolicyAuthenticatorAttachment)

    - #### getWebAuthnPolicyRequireResidentKey

          public String getWebAuthnPolicyRequireResidentKey()

    - #### setWebAuthnPolicyRequireResidentKey

          public void setWebAuthnPolicyRequireResidentKey(String webAuthnPolicyRequireResidentKey)

    - #### getWebAuthnPolicyUserVerificationRequirement

          public String getWebAuthnPolicyUserVerificationRequirement()

    - #### setWebAuthnPolicyUserVerificationRequirement

          public void setWebAuthnPolicyUserVerificationRequirement(String webAuthnPolicyUserVerificationRequirement)

    - #### getWebAuthnPolicyCreateTimeout

          public Integer getWebAuthnPolicyCreateTimeout()

    - #### setWebAuthnPolicyCreateTimeout

          public void setWebAuthnPolicyCreateTimeout(Integer webAuthnPolicyCreateTimeout)

    - #### isWebAuthnPolicyAvoidSameAuthenticatorRegister

          public Boolean isWebAuthnPolicyAvoidSameAuthenticatorRegister()

    - #### setWebAuthnPolicyAvoidSameAuthenticatorRegister

          public void setWebAuthnPolicyAvoidSameAuthenticatorRegister(Boolean webAuthnPolicyAvoidSameAuthenticatorRegister)

    - #### getWebAuthnPolicyAcceptableAaguids

          public List<String> getWebAuthnPolicyAcceptableAaguids()

    - #### setWebAuthnPolicyAcceptableAaguids

          public void setWebAuthnPolicyAcceptableAaguids(List<String> webAuthnPolicyAcceptableAaguids)

    - #### getWebAuthnPolicyPasswordlessRpEntityName

          public String getWebAuthnPolicyPasswordlessRpEntityName()

    - #### setWebAuthnPolicyPasswordlessRpEntityName

          public void setWebAuthnPolicyPasswordlessRpEntityName(String webAuthnPolicyPasswordlessRpEntityName)

    - #### getWebAuthnPolicyPasswordlessSignatureAlgorithms

          public List<String> getWebAuthnPolicyPasswordlessSignatureAlgorithms()

    - #### setWebAuthnPolicyPasswordlessSignatureAlgorithms

          public void setWebAuthnPolicyPasswordlessSignatureAlgorithms(List<String> webAuthnPolicyPasswordlessSignatureAlgorithms)

    - #### getWebAuthnPolicyPasswordlessRpId

          public String getWebAuthnPolicyPasswordlessRpId()

    - #### setWebAuthnPolicyPasswordlessRpId

          public void setWebAuthnPolicyPasswordlessRpId(String webAuthnPolicyPasswordlessRpId)

    - #### getWebAuthnPolicyPasswordlessAttestationConveyancePreference

          public String getWebAuthnPolicyPasswordlessAttestationConveyancePreference()

    - #### setWebAuthnPolicyPasswordlessAttestationConveyancePreference

          public void setWebAuthnPolicyPasswordlessAttestationConveyancePreference(String webAuthnPolicyPasswordlessAttestationConveyancePreference)

    - #### getWebAuthnPolicyPasswordlessAuthenticatorAttachment

          public String getWebAuthnPolicyPasswordlessAuthenticatorAttachment()

    - #### setWebAuthnPolicyPasswordlessAuthenticatorAttachment

          public void setWebAuthnPolicyPasswordlessAuthenticatorAttachment(String webAuthnPolicyPasswordlessAuthenticatorAttachment)

    - #### getWebAuthnPolicyPasswordlessRequireResidentKey

          public String getWebAuthnPolicyPasswordlessRequireResidentKey()

    - #### setWebAuthnPolicyPasswordlessRequireResidentKey

          public void setWebAuthnPolicyPasswordlessRequireResidentKey(String webAuthnPolicyPasswordlessRequireResidentKey)

    - #### getWebAuthnPolicyPasswordlessUserVerificationRequirement

          public String getWebAuthnPolicyPasswordlessUserVerificationRequirement()

    - #### setWebAuthnPolicyPasswordlessUserVerificationRequirement

          public void setWebAuthnPolicyPasswordlessUserVerificationRequirement(String webAuthnPolicyPasswordlessUserVerificationRequirement)

    - #### getWebAuthnPolicyPasswordlessCreateTimeout

          public Integer getWebAuthnPolicyPasswordlessCreateTimeout()

    - #### setWebAuthnPolicyPasswordlessCreateTimeout

          public void setWebAuthnPolicyPasswordlessCreateTimeout(Integer webAuthnPolicyPasswordlessCreateTimeout)

    - #### isWebAuthnPolicyPasswordlessAvoidSameAuthenticatorRegister

          public Boolean isWebAuthnPolicyPasswordlessAvoidSameAuthenticatorRegister()

    - #### setWebAuthnPolicyPasswordlessAvoidSameAuthenticatorRegister

          public void setWebAuthnPolicyPasswordlessAvoidSameAuthenticatorRegister(Boolean webAuthnPolicyPasswordlessAvoidSameAuthenticatorRegister)

    - #### getWebAuthnPolicyPasswordlessAcceptableAaguids

          public List<String> getWebAuthnPolicyPasswordlessAcceptableAaguids()

    - #### setWebAuthnPolicyPasswordlessAcceptableAaguids

          public void setWebAuthnPolicyPasswordlessAcceptableAaguids(List<String> webAuthnPolicyPasswordlessAcceptableAaguids)

    - #### getParsedClientProfiles

          public ClientProfilesRepresentation getParsedClientProfiles()

    - #### setParsedClientProfiles

          public void setParsedClientProfiles(ClientProfilesRepresentation clientProfiles)

    - #### getParsedClientPolicies

          public ClientPoliciesRepresentation getParsedClientPolicies()

    - #### setParsedClientPolicies

          public void setParsedClientPolicies(ClientPoliciesRepresentation clientPolicies)

    - #### getBrowserFlow

          public String getBrowserFlow()

    - #### setBrowserFlow

          public void setBrowserFlow(String browserFlow)

    - #### getRegistrationFlow

          public String getRegistrationFlow()

    - #### setRegistrationFlow

          public void setRegistrationFlow(String registrationFlow)

    - #### getDirectGrantFlow

          public String getDirectGrantFlow()

    - #### setDirectGrantFlow

          public void setDirectGrantFlow(String directGrantFlow)

    - #### getResetCredentialsFlow

          public String getResetCredentialsFlow()

    - #### setResetCredentialsFlow

          public void setResetCredentialsFlow(String resetCredentialsFlow)

    - #### getClientAuthenticationFlow

          public String getClientAuthenticationFlow()

    - #### setClientAuthenticationFlow

          public void setClientAuthenticationFlow(String clientAuthenticationFlow)

    - #### getDockerAuthenticationFlow

          public String getDockerAuthenticationFlow()

    - #### setDockerAuthenticationFlow

          public RealmRepresentation setDockerAuthenticationFlow(String dockerAuthenticationFlow)

    - #### getKeycloakVersion

          public String getKeycloakVersion()

    - #### setKeycloakVersion

          public void setKeycloakVersion(String keycloakVersion)

    - #### getGroups

          public List<GroupRepresentation> getGroups()

    - #### setGroups

          public void setGroups(List<GroupRepresentation> groups)

    - #### getClientTemplates

          @Deprecated
          public List<ClientTemplateRepresentation> getClientTemplates()

      Deprecated.

    - #### getClientScopes

          public List<ClientScopeRepresentation> getClientScopes()

    - #### setClientScopes

          public void setClientScopes(List<ClientScopeRepresentation> clientScopes)

    - #### getDefaultDefaultClientScopes

          public List<String> getDefaultDefaultClientScopes()

    - #### setDefaultDefaultClientScopes

          public void setDefaultDefaultClientScopes(List<String> defaultDefaultClientScopes)

    - #### getDefaultOptionalClientScopes

          public List<String> getDefaultOptionalClientScopes()

    - #### setDefaultOptionalClientScopes

          public void setDefaultOptionalClientScopes(List<String> defaultOptionalClientScopes)

    - #### getComponents

          public MultivaluedHashMap<String,ComponentExportRepresentation> getComponents()

    - #### setComponents

          public void setComponents(MultivaluedHashMap<String,ComponentExportRepresentation> components)

    - #### isIdentityFederationEnabled

          public boolean isIdentityFederationEnabled()

    - #### setAttributes

          public void setAttributes(Map<String,String> attributes)

    - #### getAttributes

          public Map<String,String> getAttributes()

    - #### getFederatedUsers

          public List<UserRepresentation> getFederatedUsers()

    - #### setFederatedUsers

          public void setFederatedUsers(List<UserRepresentation> federatedUsers)

    - #### setUserManagedAccessAllowed

          public void setUserManagedAccessAllowed(Boolean userManagedAccessAllowed)

    - #### isUserManagedAccessAllowed

          public Boolean isUserManagedAccessAllowed()

    - #### getAttributesOrEmpty

          public Map<String,String> getAttributesOrEmpty()

Copyright © 2021 JBoss by Red Hat. All rights reserved.